Subject: RE: iSCSI: Last call issues for the Naming and Discovery document

From: "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
Date: Tue, 10 Sep 2002 17:58:39 -0400

Mark,
Responses embedded

> > 1) Sec.1 p.5 and p. 14 define "iSCSI Address" but 
> contradict each other.  p. 5 defines it as
> > simply and IP address [& port] and p. 14 says it's the 
> iSCSI name and IP addr [+port].  Paragraph
> > 5 needs to be modified to match p. 14.
> 
> How about (sec 1 para 5):
> 
> iSCSI nodes also have addresses. An iSCSI address specifies a single
> path to an iSCSI node and consists of the iSCSI name, plus a transport
> (TCP) address which uses the following format:

OK

> > 4) General comment on section 1.1  To reflect the 
> definition in the iSCSI main draft, sec.
> > 2.2.6.3.2,  either the examples need to be changed to show 
> the ":" after the reversed domain name
> > in the string, or the text needs to be changed to say that 
> these substrings are sub-domain names.
> 
> I'm not sure I understand this one.  The first three examples
> all use the : to illustrate how it can be used to keep conflicts
> from happening.  The fourth also uses the :, and the fifth chooses
> to leave it out (it is optional).  Which examples need to be
> fixed?

The paragraphs don't mention or imply that the string preceeding the colon
is a reversed domain name.  The iSCSI spec. says the string following the
reversed domain name must be prefixed by ":".
 
> > 5)sec. 1.1, p 15 - this example is missing the ":" 
> following the reversed domain name.
> 
> Since the ':' is optional, I think we should keep one example 
> without it.

The ":" is only optional if nothing follows the reversed domain name.  I can
see how the current text led you to believe the colon is optional, but if
you read the text carefully, the word "optional" applies to the "colon
prefixed string" (see the 3rd sentence in that paragraph)

> > 11) appendix B.5, p 4 refers to a "DMZ"  There is no 
> definition of this term in this document.
> > Needs to either be defined or substitute some more 
> descriptive phrase here.
> 
> OK.  I'll use DMZ (De-Militarized Zone).  If we keep an 
> informative reference to
> the Middlebox RFC3303, I can reference their definition.

OK

---

From: Mark Bakke <[email-masked]>
Date: Wed, 11 Sep 2002 17:43:55 -0500

"KRUEGER,MARJORIE (HP-Roseville,ex1)" wrote:
> is a reversed domain name.  

It discusses this in the examples, but doesn't at the beginning of 1.1.
I'll fix this.

> The iSCSI spec. says the string following the

It looks like we are reading the "An optional colon..." part of the
spec two different ways.  I took it to mean that the colon could
be left out of the string if the owner of the reversed domain name
was certain that no naming authorities would make use of sub-domains
underneath the one being used.  Reading it again, I'm not sure which...

> prefixed string" (see the 3rd sentence in that paragraph)

But something has to following the reversed domain name, unless a company
manufacturing the name only intends to create one instance of one
product.  I was under the impression that while using a ":" was optional,
adding appropriate uniqueness to the remainder of the name was not.

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054